Issue 115617 - Black border around video
Summary: Black border around video
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: viewing (show other issues)
Version: OOO320m18
Hardware: PC Windows XP
: P2 Trivial with 2 votes (vote)
Target Milestone: 3.4.0
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2010-11-16 21:54 UTC by mokele
Modified: 2017-05-20 10:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Sample file with sample video clip (see other attachment) (16.46 KB, text/plain)
2010-11-17 14:03 UTC, mokele
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description mokele 2010-11-16 21:54:08 UTC
This is a fairly simple one, but critically important - playing an AVI (Cinepak
codec, Indeo 5 codec, or even uncompressed) results in a thick black bar around
the video.  I'm using a Dell 6400 with XP SP3.

This has been reported multiple times before (as evidenced by the forums and a
prior bug report), but evidently has not been fixed.  Workarounds are suggested
(disabling hardware acceleration or anti-aliasing), but none work for me.

This is an app-killer for me.  Every single presentation I've done in the past 7
years has at least one video, and if a package cannot handle video, it's
worthless to me.  I'm returning to PowerPoint until this gets fixed.
Comment 1 mokele 2010-11-16 22:27:39 UTC
Previous encounter with this bug here:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/383842
Comment 2 wolframgarten 2010-11-17 09:10:31 UTC
The bug you mention deals with a black border around the images in fullscreen
mode under linux. Your problem is something completely different (black bar
around the video). Please tell me the issue number of the previous reportings
and attach a document for reproducing this.
Comment 3 mokele 2010-11-17 14:03:02 UTC
Created attachment 75030 [details]
Sample file with sample video clip (see other attachment)
Comment 4 mokele 2010-11-17 14:10:49 UTC
I've attached a sample file (without a video - for some reason your site won't
let me upload one to the issue report).

The link I gave is the only thing I could find, though there was a similar issue
with images posted in a forum somewhere.

As I was messing with it, I noticed two things:
1) This applies to *any* video, of any format.  Mpg, avi, asf, anything.
2) It's somehow linked to video size.  If I drag a video to make it larger, the
actual video stays the same size and the black border increases in thickness to
compensate.  If I reduce the video size by about 30%, the border completely goes
away.  Note that this is not a *real* workaround - the inability to scale video
is a major bug and renders Impress useless to me.
Comment 5 clippka 2010-11-18 17:19:47 UTC
I can confirm this issue with DEV300 m93 on Windows XP SP3. The problem seems to
be that the window is not scaled but always played back in its original size.
This should be easy to fix and I think it is a regression
Comment 6 ocke.janssen 2011-02-08 10:33:57 UTC
Grabbing
Comment 7 ocke.janssen 2011-02-08 11:27:58 UTC
Fixed in cws impress210
Comment 8 ocke.janssen 2011-03-29 07:28:56 UTC
Please verify. Thanks.
Comment 9 mokele 2011-03-29 12:02:10 UTC
How does one verify?  Bear in mind that I'm not a programmer and have no idea how any of this works; I'm just an end user reporting a bug.
Comment 10 wolframgarten 2011-04-04 11:32:09 UTC
Verified in CWS.